## org.red5.server.api
Interface IGlobalScope

All Superinterfaces:
  AttributeStoreMBean, IAttributeStore, IBasicScope, ICastingAttributeStore, ICoreObject, IEventDispatcher, IEventHandler, IEventListener, IEventObservable, IPersistable, IScope, IServiceHandlerProvider, Iterable<IBasicScope>, ResourceLoader, ResourcePatternResolver

All Known Implementing Classes:
  GlobalScope

    public interface IGlobalScope

extends IScope

The global scope that acts as root for all applications in a host.

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard (luke@codegent.com)

Field Summary

Fields inherited from interface org.red5.server.api.IScope
`ID, SEPARATOR, TYPE`

Fields inherited from interface org.red5.server.api.persistence.IPersistable
`TRANSIENT_PREFIX`

Fields inherited from interface org.springframework.core.io.support.ResourcePatternResolver
`CLASSPATH_ALL_URL_PREFIX`

Fields inherited from interface org.springframework.core.io.ResourceLoader
`CLASSPATH_URL_PREFIX`

Method Summary
`IServer` `getServer()` Return the server this global scope runs in.
`void` `register()` Register the global scope in the server and initialize it.

Methods inherited from interface org.red5.server.api.IScope
`addChildScope, connect, connect, createChildScope, disconnect, getBasicScope, getBasicScopeNames, getClients, getConnections, getContext, getContextPath, getHandler, getScope, getScopeNames, getStatistics, hasChildScope, hasChildScope, hasHandler, lookupConnections, removeChildScope`

Methods inherited from interface org.red5.server.api.IBasicScope
`getDepth, getName, getParent, getPath, getType, hasParent, lock, setKeepDelay, unlock`

Methods inherited from interface org.red5.server.api.ICastingAttributeStore
`getBoolAttribute, getByteAttribute, getDoubleAttribute, getIntAttribute, getListAttribute, getLongAttribute, getMapAttribute, getSetAttribute, getShortAttribute, getStringAttribute`

Methods inherited from interface org.red5.server.api.IAttributeStore
`getAttribute, getAttribute, getAttributeNames, getAttributes, hasAttribute, removeAttribute, removeAttributes, setAttribute, setAttributes, setAttributes`

Methods inherited from interface org.red5.server.api.event.IEventDispatcher
`dispatchEvent`

Methods inherited from interface org.red5.server.api.event.IEventHandler
`handleEvent`

Methods inherited from interface org.red5.server.api.event.IEventListener
`notifyEvent`

Methods inherited from interface org.red5.server.api.event.IEventObservable
`addEventListener, getEventListeners, removeEventListener`

Methods inherited from interface java.lang.Iterable
`iterator`

Methods inherited from interface org.red5.server.api.persistence.IPersistable
`deserialize, getLastModified, getStore, isPersistent, serialize, setName, setPath, setPersistent, setStore`

Methods inherited from interface org.springframework.core.io.support.ResourcePatternResolver
`getResources`

Methods inherited from interface org.springframework.core.io.ResourceLoader
`getClassLoader, getResource`

Methods inherited from interface org.red5.server.api.service.IServiceHandlerProvider
`getServiceHandler, getServiceHandlerNames, registerServiceHandler, unregisterServiceHandler`

Method Detail

### register

    void register()

  Register the global scope in the server and initialize it.

### getServer

    IServer getServer()

  Return the server this global scope runs in.

  Returns:
    the server

Copyright © 2006-2010 The Red5 Project